5 Replies Latest reply: Sep 9, 2008 2:44 AM by Poduck
adoptme Level 1 Level 1 (0 points)
I tried to update my Boot Camp to 2.1.
The reasoning being, that my dimmer button, my volume button, etc does not work on my Windows Vista Ultimate Side.
Other short cut keys worked (i tried): ie: Print screen via 'fn'altF11, etc

However, when I installed it, the following message appeared.

"the installer encountered errors before Boot Camp could be configured.
To retry these operations at a later time, please run th installer again.
Click Finish to exit the installer."

How can I install the Boot Camp 2.1 updater?
Please advise.
Many thanks.

MacBook Pro, 2.4GZ/2GB/200HD, OSX Leopard+Windows Vista Ultimate, Windows Vista, Architectural Design
  • 1. Re: Boot Camp 2.1 Update: Error, would not install
    The hatter Level 9 Level 9 (58,885 points)
    First, backup. Files and system with Ultimate's build-in programs or 3rd party.

    run chkdsk for starters. you may want to dabble even more with msconfig and look at your logs, see if there are errors, what startup items and services are running.

    I could not install BC 2.1 64-bit even though I have 64-bi9t OS and hardware, maybe because older Mac Pro has 32-bit EFI.

    I'd look at uninstalling and reinstalling BC 2.0 and leave well enough alone and focus on just the small issues for now.

    Oh, and WinClone is another method and free for backing up NTFS partitions from within OS X worth looking into.

    I have not read of the error you got, off hand, that I recall reading.

    I really think we need a BC 2.2 at this point in time.
  • 2. Re: Boot Camp 2.1 Update: Error, would not install
    midtoad@shaw.ca Level 1 Level 1 (25 points)
    if you have LogMeIn or UltraVNC installed, or any other app that uses a video driver, uninstall them, reboot, and you should be good to go. Also ensure that your language setting is English US.
  • 3. Re: Boot Camp 2.1 Update: Error, would not install
    thelazydesigner Level 1 Level 1 (5 points)
    I confirm this!
    UltraVNC has a video driver which is seen as a graphic card. In order for the BC installation to work you need to uninstall this video driver from the "manage devices" list. Don't need to uninstall all UltraVNC, just this driver.
  • 4. Re: Boot Camp 2.1 Update: Error, would not install
    dordal Level 1 Level 1 (0 points)
    I can also confirm that getting rid of the VNC drivers in the Device Manager (System Control Panel) allowed me to install the BootCamp 2.1 Update
  • 5. Re: Boot Camp 2.1 Update: Error, would not install
    Poduck Level 1 Level 1 (0 points)
    I had the same issue on my macbook, and I have read all over the place and found that some people had issues with various hardware drivers. I had just installed Vista 32 bit and I had a bluetooth keyboard and mouse connected. I figured those were the only 2 devices that would be different. As soon as I disconnected them, I was immediately able to install.

    This was the issue, and I found that it happens with USB devices as well. Remove all devices that are not apple and try it again. My bet is that it will work.